using HermesSocketLibrary.Requests.Messages;

namespace TwitchChatTTS.Chat.Groups
{
    public interface IChatterGroupManager
    {
        void Add(Group group);
        void Add(long chatter, string group);
        void Add(long chatter, ICollection<string> groupIds);
        void Clear();
        Group? Get(string groupId);
        IEnumerable<string> GetGroupNamesFor(long chatter);
        int GetPriorityFor(long chatter);
        int GetPriorityFor(IEnumerable<string> groupIds);
        void Modify(Group group);
        bool Remove(string groupId);
        bool Remove(long chatter, string groupId);
    }
}